Name:		python-tftpy
Version:	0.6.2
Release:	2%{?dist}
Summary:	TFTPy is a pure Python implementation of the Trivial FTP protocol

Group:		Development/Languages
License:	MIT
URL:		http://sourceforge.net/projects/tftpy/
Source0:	http://downloads.sourceforge.net/tftpy/tftpy-%{version}.tar.gz

BuildArch:	noarch
BuildRequires:	python-devel, python-setuptools


%description
Tftpy is a TFTP library for the Python programming language. It includes
client and server classes, with sample implementations. Hooks are included
for easy inclusion in a UI for populating progress indicators. It supports
RFCs 1350, 2347, 2348 and the tsize option from RFC 2349.


%prep
%setup -q -n tftpy-%{version}


%build
%{__python} setup.py build


%install
%{__python} setup.py install --skip-build --root $RPM_BUILD_ROOT


%files
%doc README COPYING
%{_bindir}/tftpy_client.py
%{_bindir}/tftpy_server.py
%{python_sitelib}/tftpy/
%{python_sitelib}/*.egg-info


%changelog
* Sat Feb 11 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.6.2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Sat Dec 03 2016 Filipe Rosset <rosset.filipe@gmail.com> - 0.6.2-1
- Rebuilt for new upstream release 0.6.2, fixes rhbz #1166406

* Tue Jul 19 2016 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.6.1-5
- https://fedoraproject.org/wiki/Changes/Automatic_Provides_for_Python_RPM_Packages

* Thu Feb 04 2016 Fedora Release Engineering <releng@fedoraproject.org> - 0.6.1-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Thu Jun 18 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.6.1-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.6.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Wed Oct 16 2013 Jeff Bastian <jbastian@redhat.com> - 0.6.1-1
- upstream update to v0.6.1

* Sun Aug 04 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.6.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Fri Mar  8 2013 Jeff Bastian <jbastian@redhat.com> - 0.6.0-1
- initial release of tftpy as an rpm for Fedora 18
